Package org.h2gis.functions.spatial.properties

## Class ST_XMin

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.properties.ST_XMin

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_XMin
    extends org.h2gis.api.DeterministicScalarFunction

ST_XMin returns the minimal x-value of the given geometry.

Author:
  Adam Gouge

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_XMin()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static Double` `getMinX​(org.locationtech.jts.geom.Geometry geom)` Returns the minimal x-value of the given geometry.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_XMin

    public ST_XMin()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### getMinX

    public static Double getMinX​(org.locationtech.jts.geom.Geometry geom)

Returns the minimal x-value of the given geometry.

Parameters:
  `geom` - Geometry
Returns:
  The minimal x-value of the given geometry, or null if the geometry is null.